Skip to main content
GET
/
seller
/
webhooks
List webhooks
curl --request GET \
  --url https://api.managem.co.uk/seller/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "webhooks": [
    {
      "id": "<string>",
      "url": "<string>",
      "enabled": true,
      "additionalHeaders": {},
      "secret": "<string>",
      "lastSuccessAt": "2023-11-07T05:31:56Z",
      "lastFailureAt": "2023-11-07T05:31:56Z",
      "consecutiveFailures": 123,
      "maxConsecutiveFailures": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "subscriptions": [
        "LISTING_CREATED"
      ],
      "description": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Seller webhook endpoints

Response containing a list of the seller's webhook endpoints.

webhooks
Seller Webhook Endpoint · object[]
required

Collection of webhook endpoints owned by the seller